Skip to main content
GET
/
v1
/
smart-accounts
/
wallets
/
balances
Get Wallet Balances
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-accounts/wallets/balances \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "token": {
        "name": "Tether USD",
        "symbol": "USDT",
        "blockchain": "ethereum",
        "isNative": true,
        "standard": "ERC-20",
        "tokenAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
        "decimals": 6
      },
      "amount": {
        "formatted": "479000.10",
        "raw": "47900010"
      },
      "environment": "mainnet",
      "createdAt": "2025-04-02T17:20:42.160Z",
      "updatedAt": "2025-04-02T17:20:42.160Z"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

walletId
string

Filter by wallet ID. The unique identifier of the wallet

Example:

"123e4567-e89b-12d3-a456-426614174000"

address
string

Filter by wallet address

Example:

"0x1234567890123456789012345678901234567890"

token
string

Filter by token symbol. The token symbol (e.g., USDT, USDC, ETH).

Refer to the Get Supported Tokens endpoint for the list of supported tokens.

Example:

"USDT"

isNative
boolean

Filter by native token state

Example:

true

blockChain
string

Filter by blockchain network. The blockchain network. Can be either the blockchain name or slug.

Refer to the Get Supported Blockchains endpoint for the list of supported blockchains.

Example:

"ethereum-mainnet"

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required